GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
OGRCircularString Class Reference

Concrete representation of a circular string, that is to say a curve made of one or several arc circles. More...

`#include <ogr_geometry.h>`

Inheritance diagram for OGRCircularString:

## Public Member Functions
| OGRCircularString ()
| Create an empty circular string.
| OGRCircularString (const OGRCircularString &other)
| Copy constructor. More...
OGRCircularString & | operator= (const OGRCircularString &other)
| Assignment operator. More...
virtual OGRErr | importFromWkb (unsigned char *, int=-1, OGRwkbVariant=wkbVariantOldOgc)
| Assign geometry from well known binary data. More...
virtual OGRErr | exportToWkb (OGRwkbByteOrder, unsigned char *, OGRwkbVariant=wkbVariantOldOgc) const
| Convert a geometry into well known binary format. More...
virtual OGRErr | importFromWkt (char **)
| Assign geometry from well known text data. More...
virtual OGRErr | exportToWkt (char **ppszDstText, OGRwkbVariant=wkbVariantOldOgc) const
| Convert a geometry into well known text format. More...
virtual OGRBoolean | IsValid () const
| Test if the geometry is valid. More...
virtual void | getEnvelope (OGREnvelope *psEnvelope) const
| Computes and returns the bounding envelope for this geometry in the passed psEnvelope structure. More...
virtual void | getEnvelope (OGREnvelope3D *psEnvelope) const
| Computes and returns the bounding envelope (3D) for this geometry in the passed psEnvelope structure. More...
virtual double | get_Length () const
| Returns the length of the curve. More...
virtual OGRLineString * | CurveToLine (double dfMaxAngleStepSizeDegrees=0, const char *const *papszOptions=NULL) const
| Return a linestring from a curve geometry. More...
virtual void | Value (double, OGRPoint *) const
| Fetch point at given distance along curve. More...
virtual double | get_Area () const
| Get the area of the (closed) curve. More...
virtual OGRwkbGeometryType | getGeometryType () const
| Fetch geometry type. More...
virtual const char * | getGeometryName () const
| Fetch WKT name for geometry type. More...
virtual void | segmentize (double dfMaxLength)
| Modify the geometry such it has no segment longer then the given distance. More...
virtual OGRBoolean | hasCurveGeometry (int bLookForNonLinear=FALSE) const
| Returns if this geometry is or has curve geometry. More...
virtual OGRGeometry * | getLinearGeometry (double dfMaxAngleStepSizeDegrees=0, const char *const *papszOptions=NULL) const
| Return, possibly approximate, non-curve version of this geometry. More...
Public Member Functions inherited from OGRSimpleCurve
OGRSimpleCurve & | operator= (const OGRSimpleCurve &other)
| Assignment operator. More...
virtual int | WkbSize () const
| Returns size of related binary representation. More...
virtual OGRGeometry * | clone () const
| Make a copy of this object. More...
virtual void | empty ()
| Clear geometry information. More...
virtual OGRBoolean | IsEmpty () const
| Returns TRUE (non-zero) if the object has no points. More...
virtual void | StartPoint (OGRPoint *) const
| Return the curve start point. More...
virtual void | EndPoint (OGRPoint *) const
| Return the curve end point. More...
virtual double | Project (const OGRPoint *) const
| Project point on linestring. More...
virtual OGRLineString * | getSubLine (double, double, int) const
| Get the portion of linestring. More...
virtual int | getNumPoints () const
| Fetch vertex count. More...
void | getPoint (int, OGRPoint *) const
| Fetch a point in line string. More...
double | getX (int i) const
| Get X at vertex. More...
double | getY (int i) const
| Get Y at vertex. More...
double | getZ (int i) const
| Get Z at vertex. More...
double | getM (int i) const
| Get measure at vertex. More...
virtual OGRBoolean | Equals (OGRGeometry *) const
| Returns TRUE if two geometries are equivalent. More...
virtual void | setCoordinateDimension (int nDimension)
| Set the coordinate dimension. More...
virtual void | set3D (OGRBoolean bIs3D)
| Add or remove the Z coordinate dimension. More...
virtual void | setMeasured (OGRBoolean bIsMeasured)
| Add or remove the M coordinate dimension. More...
void | setNumPoints (int nNewPointCount, int bZeroizeNewContent=TRUE)
| Set number of points in geometry. More...
void | setPoint (int, OGRPoint *)
| Set the location of a vertex in line string. More...
void | setPoint (int, double, double)
void | setZ (int, double)
void | setM (int, double)
void | setPoint (int, double, double, double)
| Set the location of a vertex in line string. More...
void | setPointM (int, double, double, double)
void | setPoint (int, double, double, double, double)
void | setPoints (int, OGRRawPoint *, double *=NULL)
| Assign all points in a line string. More...
void | setPointsM (int, OGRRawPoint *, double *)
| Assign all points in a line string. More...
void | setPoints (int, OGRRawPoint *, double *, double *)
| Assign all points in a line string. More...
void | setPoints (int, double *padfX, double *padfY, double *padfZIn=NULL)
| Assign all points in a line string. More...
void | setPointsM (int, double *padfX, double *padfY, double *padfMIn=NULL)
| Assign all points in a line string. More...
void | setPoints (int, double *padfX, double *padfY, double *padfZIn, double *padfMIn)
| Assign all points in a line string. More...
void | addPoint (OGRPoint *)
| Add a point to a line string. More...
void | addPoint (double, double)
void | addPoint (double, double, double)
void | addPointM (double, double, double)
| Add a point to a line string. More...
void | addPoint (double, double, double, double)
| Add a point to a line string. More...
void | getPoints (OGRRawPoint *, double *=NULL) const
| Returns all points of line string. More...
void | getPoints (OGRRawPoint *, double *, double *) const
void | getPoints (void *pabyX, int nXStride, void *pabyY, int nYStride, void *pabyZ=NULL, int nZStride=0) const
| Returns all points of line string. More...
void | getPoints (void *pabyX, int nXStride, void *pabyY, int nYStride, void *pabyZ, int nZStride, void *pabyM, int nMStride) const
void | addSubLineString (const OGRLineString *, int nStartVertex=0, int nEndVertex=-1)
| Add a segment of another linestring to this one. More...
void | reversePoints (void)
| Reverse point order. More...
virtual OGRPointIterator * | getPointIterator () const
| Returns a point iterator over the curve. More...
virtual OGRErr | transform (OGRCoordinateTransformation *poCT)
| Apply arbitrary coordinate transformation to geometry. More...
virtual void | flattenTo2D ()
| Convert geometry to strictly 2D. More...
virtual void | swapXY ()
| Swap x and y coordinates. More...
Public Member Functions inherited from OGRCurve
OGRCurve & | operator= (const OGRCurve &other)
virtual int | get_IsClosed () const
| Return TRUE if curve is closed. More...
virtual int | getDimension () const
| Get the dimension of this object. More...
virtual OGRBoolean | IsConvex () const
| Returns if a (closed) curve forms a convex shape. More...
Public Member Functions inherited from OGRGeometry
| OGRGeometry (const OGRGeometry &other)
| Copy constructor. More...
OGRGeometry & | operator= (const OGRGeometry &other)
| Assignment operator. More...
virtual int | getCoordinateDimension () const
| Get the dimension of the coordinates in this object. More...
int | CoordinateDimension () const
| Get the dimension of the coordinates in this object. More...
virtual OGRBoolean | IsSimple () const
| Test if the geometry is simple. More...
OGRBoolean | Is3D () const
OGRBoolean | IsMeasured () const
virtual OGRBoolean | IsRing () const
| Test if the geometry is a ring. More...
OGRwkbGeometryType | getIsoGeometryType () const
| Get the geometry type that conforms with ISO SQL/MM Part3. More...
virtual void | dumpReadable (FILE *, const char *=NULL, char **papszOptions=NULL) const
| Dump geometry in well known text format to indicated output file. More...
virtual char * | exportToGML (const char *const *papszOptions=NULL) const
| Convert a geometry into GML format. More...
virtual char * | exportToKML () const
| Convert a geometry into KML format. More...
virtual char * | exportToJson () const
| Convert a geometry into GeoJSON format. More...
virtual GEOSGeom | exportToGEOS (GEOSContextHandle_t hGEOSCtxt) const CPL_WARN_UNUSED_RESULT
virtual OGRGeometry * | getCurveGeometry (const char *const *papszOptions=NULL) const CPL_WARN_UNUSED_RESULT
| Return curve version of this geometry. More...
virtual void | closeRings ()
| Force rings to be closed. More...
void | assignSpatialReference (OGRSpatialReference *poSR)
| Assign spatial reference to this object. More...
OGRSpatialReference * | getSpatialReference (void) const
| Returns spatial reference system for object. More...
OGRErr | transformTo (OGRSpatialReference *poSR)
| Transform geometry to new spatial reference system. More...
virtual OGRBoolean | Intersects (const OGRGeometry *) const
| Do these features intersect? More...
virtual OGRBoolean | Disjoint (const OGRGeometry *) const
| Test for disjointness. More...
virtual OGRBoolean | Touches (const OGRGeometry *) const
| Test for touching. More...
virtual OGRBoolean | Crosses (const OGRGeometry *) const
| Test for crossing. More...
virtual OGRBoolean | Within (const OGRGeometry *) const
| Test for containment. More...
virtual OGRBoolean | Contains (const OGRGeometry *) const
| Test for containment. More...
virtual OGRBoolean | Overlaps (const OGRGeometry *) const
| Test for overlap. More...
virtual OGRGeometry * | Boundary () const CPL_WARN_UNUSED_RESULT
| Compute boundary. More...
virtual double | Distance (const OGRGeometry *) const
| Compute distance between two geometries. More...
virtual OGRGeometry * | ConvexHull () const CPL_WARN_UNUSED_RESULT
| Compute convex hull. More...
virtual OGRGeometry * | Buffer (double dfDist, int nQuadSegs=30) const CPL_WARN_UNUSED_RESULT
| Compute buffer of geometry. More...
virtual OGRGeometry * | Intersection (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute intersection. More...
virtual OGRGeometry * | Union (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute union. More...
virtual OGRGeometry * | UnionCascaded () const CPL_WARN_UNUSED_RESULT
| Compute union using cascading. More...
virtual OGRGeometry * | Difference (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute difference. More...
virtual OGRGeometry * | SymDifference (const OGRGeometry *) const CPL_WARN_UNUSED_RESULT
| Compute symmetric difference. More...
virtual OGRErr | Centroid (OGRPoint *poPoint) const
| Compute the geometry centroid. More...
virtual OGRGeometry * | Simplify (double dTolerance) const CPL_WARN_UNUSED_RESULT
| Simplify the geometry. More...
OGRGeometry * | SimplifyPreserveTopology (double dTolerance) const CPL_WARN_UNUSED_RESULT
| Simplify the geometry while preserving topology. More...
virtual OGRGeometry * | DelaunayTriangulation (double dfTolerance, int bOnlyEdges) const CPL_WARN_UNUSED_RESULT
| Return a Delaunay triangulation of the vertices of the geometry. More...
virtual OGRGeometry * | Polygonize () const CPL_WARN_UNUSED_RESULT
| Polygonizes a set of sparse edges. More...
OGRBoolean | Intersect (OGRGeometry *) const CPL_WARN_DEPRECATED("Non standard method. Use Intersects() instead")
OGRBoolean | Equal (OGRGeometry *) const CPL_WARN_DEPRECATED("Non standard method. Use Equals() instead")
OGRGeometry * | SymmetricDifference (const OGRGeometry *) const CPL_WARN_DEPRECATED("Non standard method. Use SymDifference() instead")
| Compute symmetric difference (deprecated) More...
OGRGeometry * | getBoundary () const CPL_WARN_DEPRECATED("Non standard method. Use Boundary() instead")
| Compute boundary (deprecated) More...

## Protected Member Functions
virtual OGRCurveCasterToLineString | GetCasterToLineString () const
virtual OGRCurveCasterToLinearRing | GetCasterToLinearRing () const
virtual int | ContainsPoint (const OGRPoint *p) const
| Returns if a point is contained in a (closed) curve. More...
virtual double | get_AreaOfCurveSegments () const
| Get the area of the purely curve portions of a (closed) curve. More...
Protected Member Functions inherited from OGRSimpleCurve
void | Make3D ()
void | Make2D ()
void | RemoveM ()
void | AddM ()
OGRErr | importFromWKTListOnly (char **ppszInput, int bHasZ, int bHasM, OGRRawPoint *&paoPointsIn, int &nMaxPoints, double *&padfZIn)
virtual double | get_LinearArea () const
| Compute area of ring / closed linestring. More...
| OGRSimpleCurve (const OGRSimpleCurve &other)
| Copy constructor. More...
Protected Member Functions inherited from OGRCurve
| OGRCurve (const OGRCurve &other)
Protected Member Functions inherited from OGRGeometry
OGRErr | importPreambuleFromWkt (char **ppszInput, int *pbHasZ, int *pbHasM, bool *pbIsEmpty)
OGRErr | importCurveCollectionFromWkt (char **ppszInput, int bAllowEmptyComponent, int bAllowLineString, int bAllowCurve, int bAllowCompoundCurve, OGRErr(*pfnAddCurveDirectly)(OGRGeometry *poSelf, OGRCurve *poCurve))
OGRErr | importPreambuleFromWkb (unsigned char *pabyData, int nSize, OGRwkbByteOrder &eByteOrder, OGRwkbVariant eWkbVariant)
OGRErr | importPreambuleOfCollectionFromWkb (unsigned char *pabyData, int &nSize, int &nDataOffset, OGRwkbByteOrder &eByteOrder, int nMinSubGeomSize, int &nGeomCount, OGRwkbVariant eWkbVariant)
OGRErr | PointOnSurfaceInternal (OGRPoint *poPoint) const

## Additional Inherited Members
Static Public Member Functions inherited from OGRCurve
static OGRCompoundCurve * | CastToCompoundCurve (OGRCurve *puCurve)
| Cast to compound curve. More...
static OGRLineString * | CastToLineString (OGRCurve *poCurve)
| Cast to linestring. More...
static OGRLinearRing * | CastToLinearRing (OGRCurve *poCurve)
| Cast to linear ring. More...
Static Public Member Functions inherited from OGRGeometry
static GEOSContextHandle_t | createGEOSContext ()
static void | freeGEOSContext (GEOSContextHandle_t hGEOSCtxt)
static OGRGeometry * | CastToIdentity (OGRGeometry *poGeom)
static OGRGeometry * | CastToError (OGRGeometry *poGeom)
Static Public Attributes inherited from OGRGeometry
static const unsigned int | OGR_G_NOT_EMPTY_POINT = 0x1
static const unsigned int | OGR_G_3D = 0x2
static const unsigned int | OGR_G_MEASURED = 0x4
static int | bGenerate_DB2_V72_BYTE_ORDER = FALSE
Protected Attributes inherited from OGRSimpleCurve
int | nPointCount
OGRRawPoint * | paoPoints
double * | padfZ
double * | padfM
Protected Attributes inherited from OGRGeometry
unsigned int | flags

## Detailed Description

Concrete representation of a circular string, that is to say a curve made of one or several arc circles.

Note: for implementation convenience, we make it inherit from OGRSimpleCurve whereas SQL/MM only makes it inherits from OGRCurve.

Compatibility: ISO SQL/MM Part 3.

Since
  GDAL 2.0

## Constructor & Destructor Documentation

OGRCircularString::OGRCircularString | ( | const OGRCircularString & | other | ) |

Copy constructor.

Note: before GDAL 2.1, only the default implementation of the constructor existed, which could be unsafe to use.

Since
  GDAL 2.1

## Member Function Documentation

int OGRCircularString::ContainsPoint | ( | const OGRPoint * | p | ) | const
| protectedvirtual

Returns if a point is contained in a (closed) curve.

Final users should use OGRGeometry::Contains() instead.

Parameters

  p | the point to test

Returns
  TRUE if it is inside the curve, FALSE otherwise or -1 if unknown.

Since
  GDAL 2.0

Reimplemented from OGRCurve.

OGRLineString * OGRCircularString::CurveToLine | ( | double | dfMaxAngleStepSizeDegrees = `0`,
|  | const char *const * | papszOptions = `NULL`
| ) |  | const
| virtual

Return a linestring from a curve geometry.

The returned geometry is a new instance whose ownership belongs to the caller.

If the dfMaxAngleStepSizeDegrees is zero, then a default value will be used. This is currently 4 degrees unless the user has overridden the value with the OGR_ARC_STEPSIZE configuration variable.

This method relates to the ISO SQL/MM Part 3 ICurve::CurveToLine() method.

This function is the same as C function OGR_G_CurveToLine().

Parameters

  dfMaxAngleStepSizeDegrees | the largest step in degrees along the arc, zero to use the default setting.
  papszOptions | options as a null-terminated list of strings or NULL. See OGRGeometryFactory::curveToLineString() for valid options.

Returns
  a line string approximating the curve

Since
  GDAL 2.0

Implements OGRCurve.

OGRErr OGRCircularString::exportToWkb | ( | OGRwkbByteOrder | eByteOrder,
|  | unsigned char * | pabyData,
|  | OGRwkbVariant | eWkbVariant = `wkbVariantOldOgc`
| ) |  | const
| virtual

Convert a geometry into well known binary format.

This method relates to the SFCOM IWks::ExportToWKB() method.

This method is the same as the C function OGR_G_ExportToWkb() or OGR_G_ExportToIsoWkb(), depending on the value of eWkbVariant.

Parameters

  eByteOrder | One of wkbXDR or wkbNDR indicating MSB or LSB byte order respectively.
  pabyData | a buffer into which the binary representation is written. This buffer must be at least OGRGeometry::WkbSize() byte in size.
  eWkbVariant | What standard to use when exporting geometries with three dimensions (or more). The default wkbVariantOldOgc is the historical OGR variant. wkbVariantIso is the variant defined in ISO SQL/MM and adopted by OGC for SFSQL 1.2.

Returns
  Currently OGRERR_NONE is always returned.

Reimplemented from OGRSimpleCurve.

OGRErr OGRCircularString::exportToWkt | ( | char ** | ppszDstText,
|  | OGRwkbVariant | eWkbVariant = `wkbVariantOldOgc`
| ) |  | const
| virtual

Convert a geometry into well known text format.

This method relates to the SFCOM IWks::ExportToWKT() method.

This method is the same as the C function OGR_G_ExportToWkt().

Parameters

  ppszDstText | a text buffer is allocated by the program, and assigned to the passed pointer. After use, *ppszDstText should be freed with OGRFree().
  eWkbVariant | the specification that must be conformed too : wbkVariantOgc for old-style 99-402 extended dimension (Z) WKB types wbkVariantIso for SFSQL 1.2 and ISO SQL/MM Part 3

Returns
  Currently OGRERR_NONE is always returned.

Reimplemented from OGRSimpleCurve.

double OGRCircularString::get_Area | ( |  | ) | const
| virtual

Get the area of the (closed) curve.

This method is designed to be used by OGRCurvePolygon::get_Area().

Returns
  the area of the feature in square units of the spatial reference system in use.

Since
  GDAL 2.0

Implements OGRCurve.

double OGRCircularString::get_AreaOfCurveSegments | ( |  | ) | const
| protectedvirtual

Get the area of the purely curve portions of a (closed) curve.

This method is designed to be used on a closed convex curve.

Returns
  the area of the feature in square units of the spatial reference system in use.

Since
  GDAL 2.0

Implements OGRCurve.

double OGRCircularString::get_Length | ( |  | ) | const
| virtual

Returns the length of the curve.

This method relates to the SFCOM ICurve::get_Length() method.

Returns
  the length of the curve, zero if the curve hasn't been initialized.

Reimplemented from OGRSimpleCurve.

void OGRCircularString::getEnvelope | ( | OGREnvelope * | psEnvelope | ) | const
| virtual

Computes and returns the bounding envelope for this geometry in the passed psEnvelope structure.

This method is the same as the C function OGR_G_GetEnvelope().

Parameters

  psEnvelope | the structure in which to place the results.

Reimplemented from OGRSimpleCurve.

void OGRCircularString::getEnvelope | ( | OGREnvelope3D * | psEnvelope | ) | const
| virtual

Computes and returns the bounding envelope (3D) for this geometry in the passed psEnvelope structure.

This method is the same as the C function OGR_G_GetEnvelope3D().

Parameters

  psEnvelope | the structure in which to place the results.

Since
  OGR 1.9.0

Reimplemented from OGRSimpleCurve.

const char * OGRCircularString::getGeometryName | ( |  | ) | const
| virtual

Fetch WKT name for geometry type.

There is no SFCOM analog to this method.

This method is the same as the C function OGR_G_GetGeometryName().

Returns
  name used for this geometry type in well known text format. The returned pointer is to a static internal string and should not be modified or freed.

Implements OGRGeometry.

OGRwkbGeometryType OGRCircularString::getGeometryType | ( |  | ) | const
| virtual

Fetch geometry type.

Note that the geometry type may include the 2.5D flag. To get a 2D flattened version of the geometry type apply the wkbFlatten() macro to the return result.

This method is the same as the C function OGR_G_GetGeometryType().

Returns
  the geometry type code.

Implements OGRGeometry.

OGRGeometry * OGRCircularString::getLinearGeometry | ( | double | dfMaxAngleStepSizeDegrees = `0`,
|  | const char *const * | papszOptions = `NULL`
| ) |  | const
| virtual

Return, possibly approximate, non-curve version of this geometry.

Returns a geometry that has no CIRCULARSTRING, COMPOUNDCURVE, CURVEPOLYGON, MULTICURVE or MULTISURFACE in it, by approximating curve geometries.

The ownership of the returned geometry belongs to the caller.

The reverse method is OGRGeometry::getCurveGeometry().

This method is the same as the C function OGR_G_GetLinearGeometry().

Parameters

  dfMaxAngleStepSizeDegrees | the largest step in degrees along the arc, zero to use the default setting.
  papszOptions | options as a null-terminated list of strings. See OGRGeometryFactory::curveToLineString() for valid options.

Returns
  a new geometry.

Since
  GDAL 2.0

Reimplemented from OGRGeometry.

OGRBoolean OGRCircularString::hasCurveGeometry | ( | int | bLookForNonLinear = `FALSE` | ) | const
| virtual

Returns if this geometry is or has curve geometry.

Returns if a geometry is, contains or may contain a CIRCULARSTRING, COMPOUNDCURVE, CURVEPOLYGON, MULTICURVE or MULTISURFACE.

If bLookForNonLinear is set to TRUE, it will be actually looked if the geometry or its subgeometries are or contain a non-linear geometry in them. In which case, if the method returns TRUE, it means that getLinearGeometry() would return an approximate version of the geometry. Otherwise, getLinearGeometry() would do a conversion, but with just converting container type, like COMPOUNDCURVE -> LINESTRING, MULTICURVE -> MULTILINESTRING or MULTISURFACE -> MULTIPOLYGON, resulting in a "loss-less" conversion.

This method is the same as the C function OGR_G_HasCurveGeometry().

Parameters

  bLookForNonLinear | set it to TRUE to check if the geometry is or contains a CIRCULARSTRING.

Returns
  TRUE if this geometry is or has curve geometry.

Since
  GDAL 2.0

Reimplemented from OGRGeometry.

OGRErr OGRCircularString::importFromWkb | ( | unsigned char * | pabyData,
|  | int | nSize = `-1`,
|  | OGRwkbVariant | eWkbVariant = `wkbVariantOldOgc`
| ) |  |
| virtual

Assign geometry from well known binary data.

The object must have already been instantiated as the correct derived type of geometry object to match the binaries type. This method is used by the OGRGeometryFactory class, but not normally called by application code.

This method relates to the SFCOM IWks::ImportFromWKB() method.

This method is the same as the C function OGR_G_ImportFromWkb().

Parameters

  pabyData | the binary input data.
  nSize | the size of pabyData in bytes, or zero if not known.
  eWkbVariant | if wkbVariantPostGIS1, special interpretation is done for curve geometries code

Returns
  OGRERR_NONE if all goes well, otherwise any of OGRERR_NOT_ENOUGH_DATA, OGRERR_UNSUPPORTED_GEOMETRY_TYPE, or OGRERR_CORRUPT_DATA may be returned.

Reimplemented from OGRSimpleCurve.

OGRErr OGRCircularString::importFromWkt | ( | char ** | ppszInput | ) |
| virtual

Assign geometry from well known text data.

The object must have already been instantiated as the correct derived type of geometry object to match the text type. This method is used by the OGRGeometryFactory class, but not normally called by application code.

This method relates to the SFCOM IWks::ImportFromWKT() method.

This method is the same as the C function OGR_G_ImportFromWkt().

Parameters

  ppszInput | pointer to a pointer to the source text. The pointer is updated to pointer after the consumed text.

Returns
  OGRERR_NONE if all goes well, otherwise any of OGRERR_NOT_ENOUGH_DATA, OGRERR_UNSUPPORTED_GEOMETRY_TYPE, or OGRERR_CORRUPT_DATA may be returned.

Reimplemented from OGRSimpleCurve.

OGRBoolean OGRCircularString::IsValid | ( |  | ) | const
| virtual

Test if the geometry is valid.

This method is the same as the C function OGR_G_IsValid().

This method is built on the GEOS library, check it for the definition of the geometry operation. If OGR is built without the GEOS library, this method will always return FALSE.

Returns
  TRUE if the geometry has no points, otherwise FALSE.

Reimplemented from OGRGeometry.

OGRCircularString & OGRCircularString::operator= | ( | const OGRCircularString & | other | ) |

Assignment operator.

Note: before GDAL 2.1, only the default implementation of the operator existed, which could be unsafe to use.

Since
  GDAL 2.1

void OGRCircularString::segmentize | ( | double | dfMaxLength | ) |
| virtual

Modify the geometry such it has no segment longer then the given distance.

Add intermediate vertices to a geometry.

Interpolated points will have Z and M values (if needed) set to 0. Distance computation is performed in 2d only

This function is the same as the C function OGR_G_Segmentize()

Parameters

  dfMaxLength | the maximum distance between 2 points after segmentization

This method modifies the geometry to add intermediate vertices if necessary so that the maximum length between 2 consecutive vertices is lower than dfMaxLength.

Parameters

  dfMaxLength | maximum length between 2 consecutive vertices.

Reimplemented from OGRSimpleCurve.

void OGRCircularString::Value | ( | double | dfDistance,
|  | OGRPoint * | poPoint
| ) |  | const
| virtual

Fetch point at given distance along curve.

This method relates to the SF COM ICurve::get_Value() method.

This function is the same as the C function OGR_G_Value().

Parameters

  dfDistance | distance along the curve at which to sample position. This distance should be between zero and get_Length() for this curve.
  poPoint | the point to be assigned the curve position.

Reimplemented from OGRSimpleCurve.

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrcircularstring.cpp

Generated for GDAL by 1.8.8.